
Ruby - Bug #6635

Make test fails On Windows 7 64bit

06/24/2012 02:34 AM - yrag (Gary Leutheuser)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: 1.9.3-p194 Backport:  

Description

I downloaded the ruby-1.9.3-p194 tarball, but...

$ ruby -v

ruby 1.8.7 (2012-02-08 patchlevel 358) [i386-cygwin]

Running make test after compilation resulted in test 248 failure:

#248 test_fork.rb:

a = []

trap(:INT) { a.push(1) }

trap(:TERM) { a.push(2) }

pid = $$

begin

fork do

sleep 0.5

Process.kill(:INT, pid)

Process.kill(:TERM, pid)

end

   sleep 1

   a.sort

 rescue NotImplementedError

   [1, 2]

 end

 #=> "[]" (expected "[1, 2]")  [ruby-dev:44005] [Ruby 1.9 - Bug #4950]

FAIL 1/943 tests failed

uncommon.mk:475: recipe for target `yes-btest-ruby' failed

make: *** [yes-btest-ruby] Error 1

History

#1 - 06/24/2012 02:39 AM - yrag (Gary Leutheuser)

I have just realized that this issue was already reported and fixed. My apologies, if this could be removed it would be appreciated.

#2 - 06/24/2012 02:41 AM - luislavena (Luis Lavena)

- Status changed from Open to Closed

Closing this out, OP request.
